** Combine i(l-k) and the powers of i(l) using Feynman parameter a for l-k and b for l,
** into a power of den = b l^2 + a (l-k)^2;

id i(l) = den1;
id i(l-k) = den2;

id den1^n?*den2^m? = a^(m-1)*b^(n-1)*fac_(n+m-1)*invfac_(n-1)*invfac_(m-1)*den^(n+m);

id l = l + a*k;				* shift l

#call averageD(l)

id l.l = 1/den - a*b*k.k;		* eliminate l.l in terms of den and k

** We have den^3,4,5 and so these can be done in four dimensions in Gammas. 
** Remember separately the 1/(4pi)^2. Also remember that an 1/a^ep, 1/b^ep and k^(-2ep)
** are generated. 

id den^n? = AngD*fac_(n-3+ep)*invfac_(n-1)*a^(2-n)*b^(2-n)*i(k)^(n-2)*a^(-ep)*b^(-ep)*i(k)^ep;

repeat id k.k*i(k) = 1;

