multiply L^4*K^4;		* Powers from the measure

id i(k) = i(k)/K^2;
id i(l) = i(l)/L^2;
id i(l-k) = i(l-k)*X^2;

id k = K*k;
id l = L*l;


** We check by hand, by printing out with K,L bracketed, that there are no cases which
** cannot be evaluated in the IR first. Here, because i(k-l) still exists, we require
** one count to be <2 and the sum of the counts -2 to be non-positive.

if ( count(L,1) >= count(X,1) );
	id l = k;
	al k = l;
	id i(l) = i(m);
	id i(k) = i(l);
	id i(m) = i(k);

	id K = L;
	al L = K;
	id 1/L = 1/K;
	al 1/K = 1/L;
endif;


if ( count(L,1) >= count(X,1) ) discard;


id X=1;

id K = 1;
id L = 1;
id 1/K = 1;
id 1/L = 1;

